Skip to content
Permalink
Browse files

update readme and changelog for new version

  • Loading branch information...
nuclearace committed Jan 16, 2019
1 parent 4c98c24 commit 6a3d82c60af5e9318650daf89d10027e0f49cf67
Showing with 8 additions and 6 deletions.
  1. +2 −0 CHANGELOG.md
  2. +1 −1 Package.swift
  3. +5 −5 README.md
@@ -1,6 +1,8 @@
# v14.0.0

- Minimum version of the client is now Swift 4.2.
- Add exponential backoff for reconnects, with `reconnectWaitMax` and `randomizationFactor` options [#1149](https://github.com/socketio/socket.io-client-swift/pull/1149)
- `statusChange` event's data format adds a second value, the raw value of the status. This is for use in Objective-C. [#1147](https://github.com/socketio/socket.io-client-swift/issues/1147)

# v13.4.0

@@ -1,4 +1,4 @@
// swift-tools-version:4.0
// swift-tools-version:4.2
import PackageDescription

@@ -63,7 +63,7 @@ SocketIOClient* socket = manager.defaultSocket;
## FAQS
Checkout the [FAQs](https://nuclearace.github.io/Socket.IO-Client-Swift/faq.html) for commonly asked questions.

Checkout the [12to13](https://nuclearace.github.io/Socket.IO-Client-Swift/12to13.html) guide for migrating to v13.
Checkout the [12to13](https://nuclearace.github.io/Socket.IO-Client-Swift/12to13.html) guide for migrating to v13+ from v12 below.


## Installation
@@ -76,7 +76,7 @@ If you need Swift 3.x use v11.1.3.
### Swift Package Manager
Add the project as a dependency to your Package.swift:
```swift
// swift-tools-version:4.0
// swift-tools-version:4.2
import PackageDescription
@@ -86,7 +86,7 @@ let package = Package(
.executable(name: "socket.io-test", targets: ["YourTargetName"])
],
dependencies: [
.package(url: "https://github.com/socketio/socket.io-client-swift", .upToNextMinor(from: "13.3.0"))
.package(url: "https://github.com/socketio/socket.io-client-swift", .upToNextMinor(from: "14.0.0"))
],
targets: [
.target(name: "YourTargetName", dependencies: ["SocketIO"], path: "./Path/To/Your/Sources")
@@ -99,7 +99,7 @@ Then import `import SocketIO`.
### Carthage
Add this line to your `Cartfile`:
```
github "socketio/socket.io-client-swift" ~> 13.3.0
github "socketio/socket.io-client-swift" ~> 14.0.0
```

Run `carthage update --platform ios,macosx`.
@@ -113,7 +113,7 @@ Create `Podfile` and add `pod 'Socket.IO-Client-Swift'`:
use_frameworks!
target 'YourApp' do
pod 'Socket.IO-Client-Swift', '~> 13.3.0'
pod 'Socket.IO-Client-Swift', '~> 14.0.0'
end
```

0 comments on commit 6a3d82c

Please sign in to comment.
You can’t perform that action at this time.